Bug 1054646 - Sigil does not follow keyboard layout switching
Summary: Sigil does not follow keyboard layout switching
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: sigil
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-17 08:02 UTC by Nicholas Kudriavtsev
Modified: 2014-07-22 14:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-22 14:20:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Nicholas Kudriavtsev 2014-01-17 08:02:02 UTC
Description of problem: Sigil does not follow keyboard layout switching


Version-Release number of selected component (if applicable): 0.7.4-1.fc20


How reproducible:
Start Sigil

Steps to Reproduce:
1. Type something in current keyboard layout (1) in Sigil's window.
2. Switch keyboard layout (gnome-shell shows new layout (2) in the indicator).
3. Type something in layout 2.

Actual results:
Sigil inputs characters from layout 1

Expected results:
Sigil shall input characters from layout 2

Additional info:
I have builded Sigil 0.7.4 in Fedora 19 with the same keyboard bug.

Comment 1 Dan Horák 2014-05-01 16:42:37 UTC
maybe this is related, I see it when starting sigil from command line

[dan@eagle ~]$ sigil
Error:    cz:75:19: illegal escape sequence in string literal
Error:    cz:75:19: syntax error
Error:    Couldn't process include statement for 'cz(qwerty)'
Error:    Abandoning symbols file "(unnamed)"
Error:    Failed to compile xkb_symbols
Error:    Failed to compile keymap
Warning: Qt: Failed to compile a keymap

and as a result I can't type anything

Comment 2 Nicholas Kudriavtsev 2014-05-07 13:29:31 UTC
I have no output in console.

Comment 3 Nicholas Kudriavtsev 2014-07-20 12:28:36 UTC
Qt5 5.3.1-4 fixed the error.

Comment 4 Dan Horák 2014-07-22 14:20:13 UTC
Thanks for testing, was a bug in qt5 instead.


Note You need to log in before you can comment on or make changes to this bug.